-------------------------------------------------------------------------------

--  dropsin.lua

-------------------------------------------------------------------------------

condition = 
{
    optimize_lattice = false,

    use_multigrid_solver = true,

    dynamics_simulation = true,

    save_psi_sequential = false,
    save_density_sequential = false,
    save_chemical_potential_sequential = false,
    save_free_energy_sequential = false,
    save_geometry_sequential = false,
    save_dx_sequential = true,

    error_tolerance = 0.0,
    seed = 43276,
    noise = 0.01,
    initial_noise = 0.0,

    phi_min = -1.0,

    iteration_max = 50 * 400,
    interval = 400,
    omega = 0.01,
}

file =
{
    wisdom = "fftw.wisdom",

    psi_output = "psi.dat.gz",
    density_output = "phi.dat.gz",
    chemical_potential_output = "mu.dat.gz",
    free_energy_output = "fe.dat",
    geometry_output = "geometry.dat",
    dx_output = "dropsout.dx",

    psi_template = "psi.%d.dat.gz",
    density_template = "phi.%d.dat.gz",
    chemical_potential_template = "mu.%d.dat.gz",
    free_energy_template = "fe.%d.dat",
    geometry_template = "geometry.%d.dat",
    dx_template = "dropsout.%d.dx"
}

multigrid =
{
    n_cycle = 20,
    n_pre = 5,
    n_post = 5,
    error_tolerance = 1.0e-8
}

geometry =
{    
    dimension = 2,

    nx = 48,
    ny = 48,
    nz = 1,

    lx = 24,
    ly = 24,
    lz = 1 
}

blend =
{
    polymer = {"A_homo", "B_homo"},
    volume_fraction = {0.5, 0.5}
}

monomer =
{
    name = {"A", "B"},
    b = {1, 1},
    chi = {{0, 0.5},
           {0, 0  }}
}

A_homo =
{
    N = 10,
    f = {1},
    a = {{false}},
    monomer = {"A"},
    lambda = 0
}

B_homo =
{
    N = 10,
    f = {1},
    a = {{false}},
    monomer = {"B"},
    lambda = 0
}

