-------------------------------------------------------------------------------

--  dropsin.lua

-------------------------------------------------------------------------------

condition = 
{
    optimize_lattice = false,
    
    use_multigrid_solver = false,

    dynamics_simulation = false,

    save_psi_sequential = false,
    save_density_sequential = false,
    save_chemical_potential_sequential = false,
    save_free_energy_sequential = false,
    save_geometry_sequential = false,
    save_dx_sequential = false,

    error_tolerance = 1.0e-10,
    seed = 45,
    noise = 0.0e-3,
    initial_noise = 1.0e-4,

    phi_min = -1.0,

    iteration_max = 1500,
    interval = 300,
    omega = 0.5,
}

file =
{
    wisdom = "fftw.wisdom",

    psi_output = "psi.dat.gz",
    density_output = "phi.dat.gz",
    chemical_potential_output = "mu.dat.gz",
    free_energy_output = "fe.dat",
    geometry_output = "geometry.dat",
    dx_output = "dropsout.dx",

    psi_template = "psi.%d.dat.gz",
    density_template = "phi.%d.dat.gz",
    chemical_potential_template = "mu.%d.dat.gz",
    free_energy_template = "fe.%d.dat",
    geometry_template = "geometry.%d.dat",
    dx_template = "dropsout.%d.dx"
}

multigrid =
{
    n_cycle = 20,
    n_pre = 5,
    n_post = 5,
    error_tolerance = 1.0e-8
}

geometry =
{    
    dimension = 3,

    nx = 64,
    ny = 64,
    nz = 64,

    lx = 32,
    ly = 32,
    lz = 32 
}

blend =
{
    polymer = {"AB_diblock", "A_homo"},
    volume_fraction = {0.1, 0.9}
}

monomer =
{
    name = {"A", "B"},
    b = {1, 1},
    chi = {{0, 1.00},
           {0, 0}}
}

AB_diblock =
{
    N = 20,
    f = {1, 2},
    a = {{false, true },
         {false, false}},
    monomer = {"A", "B"},
    lambda = 10
}

A_homo =
{
    N = 10,
    f = {1},
    a = {{false}},
    monomer = {"A"},
    lambda = 0
}
