-------------------------------------------------------------------------------

--  dropsin.lua

-------------------------------------------------------------------------------

condition = 
{
    optimize_lattice = false,
    use_multigrid_solver = false,

    dynamics_simulation = true,

    save_psi_sequential = false,
    save_density_sequential = false,
    save_chemical_potential_sequential = false,
    save_free_energy_sequential = true,
    save_geometry_sequential = false,
    save_dx_sequential = true,

    error_tolerance = 0,
    seed = 79252,
    noise = 0.08,
    initial_noise = 0,

    phi_min = -2.0,

    iteration_max = 50 * 500,
    interval = 500,
    omega = 0.0025,
}

file =
{
    wisdom = "fftw.wisdom",

    psi_output = "psi.dat.gz",
    density_output = "phi.dat.gz",
    chemical_potential_output = "mu.dat.gz",
    free_energy_output = "fe.dat",
    geometry_output = "geometry.dat",
    dx_output = "dropsout.dx",

    psi_template = "psi.%d.dat.gz",
    density_template = "phi.%d.dat.gz",
    chemical_potential_template = "mu.%d.dat.gz",
    free_energy_template = "fe.%d.dat",
    geometry_template = "geometry.%d.dat",
    dx_template = "dropsout.%d.dx"
}

multigrid =
{
    n_cycle = 20,
    n_pre = 5,
    n_post = 5,
    error_tolerance = 1.0e-8
}

geometry =
{    
    dimension = 2,

    nx = 48,
    ny = 48,
    nz = 0,

    lx = 24,
    ly = 24,
    lz = 0 
}

blend =
{
    polymer = {"AB_diblock", "C_solvent"},
    volume_fraction = {0.2, 0.8}
}

monomer =
{
    name = {"A", "B", "C"},
    b = {1, 1, 1},
    chi = {{0, 2.50, -0.5},
           {0, 0,    5.00},
           {0, 0,    0}}
}

AB_diblock =
{
    N = 10,
    f = {1, 2},
    a = {{false, true },
         {false, false}},
    monomer = {"A", "B"},
    lambda = 5
}

C_solvent =
{
    N = 1,
    f = {1},
    a = {{false}},
    monomer = {"C"},
    lambda = 0
}
