/*---------------------------------------------------------------------------*/

/*!  \file  gpwrite.h
     \brief  output the field data as gnuplot format.  */

/*---------------------------------------------------------------------------*/

/* Copyright (C) 2005 Takashi Uneyama  */

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/*---------------------------------------------------------------------------*/

#ifndef INCLUDE_GPWRITE_H
#define INCLUDE_GPWRITE_H

#include "chemicalpotential.h"

/*---------------------------------------------------------------------------*/
/*!  \brief  write density data to \a filename as gnuplot data format.
     \param  filename  file name
     \param  density  density field  */
void write_density_plot(char *filename,
                      density_field *density);
/*!  \brief  write chemical potential data to \a filename as gnuplot data format.
     \param  filename  file name
     \param  potential  chemical potential field  */
void write_chemical_potential_plot(char *filename,
                                   chemical_potential *potential);

/*---------------------------------------------------------------------------*/
#endif

/*---------------------------------------------------------------------------*/
