/*---------------------------------------------------------------------------*/

/*!  \file  lu.h
     \brief  LU decomposition method library.  */

/*---------------------------------------------------------------------------*/

/* Copyright (C) 2005 Takashi Uneyama  */

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/*---------------------------------------------------------------------------*/
#ifndef INCLUDE_LU_H
#define INCLUDE_LU_H

/*---------------------------------------------------------------------------*/
/*!  \brief  do LU decomposition.
     \param  a  matrix to decompose
     \param  n  dimension of \a a
     \param  index  index for LU decomposition  */
double lu(double **a,int n,int *index);
/*!  \brief  calculate an inverse matrix.
     \param  a  matrix to calculate an inverse
     \param  b  inverse matrix of \a a
     \param  n  dimension of \a a  */
double inverse(double **a,double **b,int n);

/*---------------------------------------------------------------------------*/
#endif

/*---------------------------------------------------------------------------*/
