/*---------------------------------------------------------------------------*/

/*!  \file  matrix.h
     \brief  utility library for handling matrix.  */

/*---------------------------------------------------------------------------*/

/* Copyright (C) 2005 Takashi Uneyama  */

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/*---------------------------------------------------------------------------*/
#ifndef INCLUDE_MATRIX_H
#define INCLUDE_MATRIX_H

/*---------------------------------------------------------------------------*/
/*!  \brief  allocate a new matrix of dimension \a n times \a n.
     \param  n  dimension of matrix  */
double **allocate_matrix(int n);
/*!  \brief  allocate a new vector of dimension \a n.
     \param  n  dimension of matrix  */
double *allocate_vector(int n);

/*!  \brief  free a matrix.
     \param  matrix  matrix to free  */
void free_matrix(double **matrix);
/*!  \brief  free a vector.
     \param  vector  vector to free  */
void free_vector(double *vector);

/*---------------------------------------------------------------------------*/
#endif

/*---------------------------------------------------------------------------*/
