/*---------------------------------------------------------------------------*/

/*!  \file  noise.h
     \brief  calculate the noise using fluctuation-dissipation relation.  */

/*---------------------------------------------------------------------------*/

/* Copyright (C) 2005 Takashi Uneyama  */

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/*---------------------------------------------------------------------------*/
#ifndef INCLUDE_NOISE_H
#define INCLUDE_NOISE_H

#include "density.h"

/*---------------------------------------------------------------------------*/
/*!  \brief  calculate random noise field for dynamics.
     \param  geomeetry  field geometry
     \param  desity  density field to evolve
     \param  omega  acceleration factor  */
void calculate_field_noise_dynamics(density_field *density,double omega);

/*---------------------------------------------------------------------------*/
#endif

/*---------------------------------------------------------------------------*/
