/*---------------------------------------------------------------------------*/

/*!  \file  regrid.c
     \brief  library for regridding the field.  */

/*---------------------------------------------------------------------------*/

/* Copyright (C) 2005 Takashi Uneyama  */

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/*---------------------------------------------------------------------------*/
#ifndef INCLUDE_REGRID_H
#define INCLUDE_REGRID_H

#include "multigrid.h"

/*---------------------------------------------------------------------------*/
/*!  \brief  returns a nubmer of lattice points for the grid of \a level.
     \param  multigrid  multigrid field
     \param  level1  grid level of original field
     \param  level2  grid level of regridded field
     \param  u1  original field
     \param  u2  regridded rield  */
void regrid_field(multigrid_field *multigrid,int level1,int level2,
                  double *u1,double *u2);

/*---------------------------------------------------------------------------*/
#endif
